## libvirt 4.0.0

=== debian/changelog ===
libvirt (4.0.0-1ubuntu8.21) bionic-security; urgency=medium

  * SECURITY UPDATE: crash via double-free memory issue
    - debian/patches/CVE-2020-25637-1.patch: gendispatch: handle empty
      flags in src/rpc/gendispatch.pl.
    - debian/patches/CVE-2020-25637-2.patch: add support for filtering
      @acls by uint params in src/remote/remote_protocol.x,
      src/rpc/gendispatch.pl.
    - debian/patches/CVE-2020-25637-3.patch: require write acl for guest
      agent in src/libxl/libxl_driver.c, src/qemu/qemu_driver.c,
      src/remote/remote_protocol.x.
    - debian/patches/CVE-2020-25637-4.patch: set ifname to NULL after
      freeing in src/qemu/qemu_agent.c.
    - CVE-2020-25637
  * SECURITY UPDATE: sVirt SELinux confinement flaw
    - debian/patches/CVE-2021-3631.patch: fix SELinux label generation
      logic in src/security/security_selinux.c.
    - CVE-2021-3631
  * SECURITY UPDATE: segmentation fault during VM shutdown
    - debian/patches/CVE-2021-3975.patch: add missing lock in
      qemuProcessHandleMonitorEOF in src/qemu/qemu_process.c.
    - CVE-2021-3975
  * SECURITY UPDATE: DoS via libxl driver
    - debian/patches/CVE-2021-4147-pre0.patch: handle external domain
      destroy in src/libxl/libxl_domain.c, src/libxl/libxl_domain.h.
    - debian/patches/CVE-2021-4147-pre1.patch: fix domain shutdown in
      src/libxl/libxl_domain.c.
    - debian/patches/CVE-2021-4147-1.patch: disable death events after
      receiving a shutdown event in src/libxl/libxl_domain.c,
      src/libxl/libxl_domain.h.
    - debian/patches/CVE-2021-4147-2.patch: rename libxlShutdownThreadInfo
      struct in src/libxl/libxl_domain.c.
    - debian/patches/CVE-2021-4147-3.patch: modify name of shutdown thread
      in src/libxl/libxl_domain.c.
    - debian/patches/CVE-2021-4147-4.patch: handle domain death events in a
      thread in src/libxl/libxl_domain.c.
    - debian/patches/CVE-2021-4147-5.patch: search for virDomainObj in
      event handler threads in src/libxl/libxl_domain.c.
    - debian/patches/CVE-2021-4147-6pre1.patch: avoid virHashFree by
      rearranging code in src/libxl/libxl_logger.c.
    - debian/patches/CVE-2021-4147-6.patch: protect access to libxlLogger
      files hash table in src/libxl/libxl_logger.c.
    - CVE-2021-4147
  * SECURITY UPDATE: DoS via nwfilter driver
    - debian/patches/CVE-2022-0897.patch: fix crash when counting number of
      network filters in src/nwfilter/nwfilter_driver.c.
    - CVE-2022-0897

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 20 Apr 2022 13:18:06 -0400

libvirt (4.0.0-1ubuntu8.20) bionic; urgency=medium

  * d/p/u/lp-1927519-virt-aa-helper-Purge-profile-if-corrupted.patch:
    avoid issues due to corrupted apparmor profiles (LP: #1927519)
  * d/p/u/skip-new-pdwtags.patch: avoid issues with backported
    dwarves 1.21 (LP: #1951438)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 18 Nov 2021 10:24:01 +0100

libvirt (4.0.0-1ubuntu8.19) bionic; urgency=medium

  * d/p/lp1915811-fix-numa-topology.patch: Fix NUMA topology population for
    machines with a high number of CPUs (LP: #1915811)

 -- Victor Manuel Tapia King <victor.tapia@canonical.com>  Thu, 18 Feb 2021 17:40:38 +0100

libvirt (4.0.0-1ubuntu8.18) bionic; urgency=medium

  * Improve flaky smoke-lxc test (LP: #1899180)
    - d/t/control, d/t/smoke-lxc: retry service restart and skip test if
      failing; This was flaky on some release/architectures
    - d/t/smoke-lxc: retry check_domain being flaky on arm64

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 07 Dec 2020 08:25:47 +0100

libvirt (4.0.0-1ubuntu8.17) bionic-security; urgency=medium

  * SECURITY UPDATE: denial of service via active pool without target path
    - debian/patches/ubuntu/CVE-2020-10703.patch: fix daemon crash on
      lookup storagepool by targetpath in src/storage/storage_driver.c.
    - CVE-2020-10703

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 06 May 2020 14:18:23 -0400

libvirt (4.0.0-1ubuntu8.16) bionic; urgency=medium

  * d/p/ubuntu-aa/lp-1847361-load-versioned-module.patch: allow loading
    versioned modules after qemu package upgrades (LP: #1847361)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 09 Apr 2020 08:28:33 +0200

libvirt (4.0.0-1ubuntu8.15) bionic; urgency=medium

  * d/p/lp-1844455-node_device_conf-Don-t-leak-physical_function.patch:
    fix memory-leak from PCI-related structure. (LP: #1844455)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Thu, 20 Feb 2020 13:07:33 -0300

libvirt (4.0.0-1ubuntu8.14) bionic; urgency=medium

  * debian/rules: libnss-libvirt: Install libnss_libvirt_guest (LP: #1853074)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 20 Nov 2019 11:52:51 +0000

libvirt (4.0.0-1ubuntu8.13) bionic; urgency=medium

  * d/p/ubuntu/lp-1840872-*: avoid hotplug issues with duplicate device
    addresses (LP: #1840872)
  * d/p/ubuntu/lp-1840745-*: add amd ssbd / no-ssbd features (LP: #1840745)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 21 Aug 2019 11:08:29 +0200

libvirt (4.0.0-1ubuntu8.12) bionic-security; urgency=medium

  * SECURITY UPDATE: virDomainSaveImageGetXMLDesc does not check for
    read-only connection
    - debian/patches/CVE-2019-10161.patch: add check to
      src/libvirt-domain.c, src/qemu/qemu_driver.c,
      src/remote/remote_protocol.x.
    - CVE-2019-10161
  * SECURITY UPDATE: virDomainManagedSaveDefineXML does not check for
    read-only connection
    - debian/patches/CVE-2019-10166.patch: add check to
      src/libvirt-domain.c.
    - CVE-2019-10166
  * SECURITY UPDATE: virConnectGetDomainCapabilities does not check for
    read-only connection
    - debian/patches/CVE-2019-10167.patch: add check to
      src/libvirt-domain.c.
    - CVE-2019-10167

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 02 Jul 2019 09:19:33 -0400

libvirt (4.0.0-1ubuntu8.11) bionic; urgency=medium


