=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
Build-Depends:
 debhelper (>= 9.20160709~),
 dh-autoreconf,
 dh-apparmor [linux-any],
 libxml2-dev (>= 2.9.2+really2.9.1+dfsg1-0.2),
 libncurses5-dev,
 libreadline-dev,
 zlib1g-dev,
 libgcrypt20-dev,
 libgnutls28-dev,
 libavahi-client-dev,
 libsasl2-dev,
 libxen-dev (>= 4.3) [i386 amd64 armhf arm64],
 lvm2 [linux-any],
 open-iscsi [linux-any],
 libparted-dev (>= 2.2),
 parted (>= 2.2),
 libdevmapper-dev [linux-any],
 uuid-dev,
 libudev-dev [linux-any],
 libpciaccess-dev,
 kmod [linux-any],
 policykit-1 (>= 0.105-4~),
 libcurl4-gnutls-dev,
 libpolkit-gobject-1-dev,
 libcap-ng-dev [linux-any],
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libyajl-dev,
 libpcap0.8-dev,
 libnuma-dev [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x],
 numad [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x],
 radvd [linux-any],
 libnetcf-dev (>= 1:0.2.3-3~) [linux-any],
 libsanlock-dev [linux-any],
 libaudit-dev [linux-any],
# libselinux1-dev (>= 2.0.82) [linux-any],
 libapparmor-dev [linux-any],
 libdbus-1-dev [linux-any],
 nfs-common,
 systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc ppc64el s390 s390x],
 python,
 xsltproc,
 zfsutils [kfreebsd-amd64 kfreebsd-i386],
 po-debconf,
# for --with-storage-sheepdog
 sheepdog [linux-any],
# for --with-storage-rados
 librbd-dev [linux-any],
 librados-dev [linux-any],
# for --with-storage-gluster
 glusterfs-common (>= 3.4.0),
# for --with-wireshark-dissector
 libwireshark-dev (>= 1.11.3),
 libwiretap-dev,
# for lxc fuse support
 libfuse-dev [linux-any],
# for libssh2 connection URIs
# libssh2-1-dev,
# for qemu-bridge-helper
 qemu-system-common,
# For "make check"
 augeas-tools,
 dwarves,
 libxml2-utils,
 dnsmasq-base,
 openssh-client,
 netcat-openbsd,
 ebtables [linux-any],
 iptables [linux-any],
 qemu-utils,
Build-Conflicts: dpkg-dev (= 1.15.3)
XS-Debian-Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libvirt.git
XS-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/libvirt.git/
Vcs-Git: git://git.launchpad.net/~libvirt-maintainers/ubuntu/+source/libvirt
Vcs-Browser: https://git.launchpad.net/~libvirt-maintainers/ubuntu/+source/libvirt
Homepage: http://libvirt.org
Standards-Version: 4.1.1

Package: libvirt-bin
Architecture: any
Depends:
 ${misc:Depends},
 libvirt-daemon-system (>= ${binary:Version}),
 libvirt-clients (>= ${binary:Version}),
Section: oldlibs
Priority: extra
Description: programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This is a transitional package. You can safely remove it.

Package: libvirt-clients
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt0 (= ${binary:Version}),
Section: admin
Replaces: libvirt-bin (<< 1.3.3-2)
Conflicts: libvirt-bin (<< 1.3.3-2)
Suggests:
 libvirt-daemon,
Description: Programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirt shell virsh and other client binaries.

Package: libvirt-daemon
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt0 (= ${binary:Version}),
Enhances: qemu, qemu-kvm, xen
Section: admin
Replaces: libvirt-bin (<< 1.3.3-2)
Conflicts: libvirt-bin (<< 1.3.3-2)
Recommends:
 qemu-kvm | qemu (>= 0.9.1),
 libxml2-utils,
 netcat-openbsd,
 libvirt-daemon-driver-storage-rbd,
Suggests:
 libvirt-daemon-driver-storage-gluster,
 libvirt-daemon-driver-storage-sheepdog,
 libvirt-daemon-driver-storage-zfs,
 libvirt-daemon-system,
 numad,
Description: Virtualization daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the daemon libvirtd to manage the hypvervisors.

Package: libvirt-daemon-driver-storage-gluster
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt-daemon (= ${binary:Version}),
Replaces: libvirt-daemon (<< 3.7.0-3~)
Breaks: libvirt-daemon (<< 3.7.0-3~)
Section: admin
Description: Virtualization daemon glusterfs storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for GlusterFS.

Package: libvirt-daemon-driver-storage-rbd
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt-daemon (= ${binary:Version}),
Replaces: libvirt-daemon (<< 3.7.0-3~)
Breaks: libvirt-daemon (<< 3.7.0-3~)
Section: admin
Description: Virtualization daemon RBD storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for RBD/Rados/Ceph.

Package: libvirt-daemon-driver-storage-sheepdog
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt-daemon (= ${binary:Version}),
Replaces: libvirt-daemon (<< 3.7.0-3~)
Breaks: libvirt-daemon (<< 3.7.0-3~)
Section: admin
Description: Virtualization daemon Sheedog storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for Sheepdog.

Package: libvirt-daemon-driver-storage-zfs
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt-daemon (= ${binary:Version}),
Replaces: libvirt-daemon (<< 3.7.0-3~)
Breaks: libvirt-daemon (<< 3.7.0-3~)
Section: admin
Description: Virtualization daemon ZFS storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for ZFS.

Package: libvirt-daemon-system
Architecture: any
# Needed to clean up old libvirt-bin cruft, can be removed post jessie
Pre-Depends: init-system-helpers (>= 1.18~)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
 gettext-base,
 lsb-base,
 libvirt-clients (= ${binary:Version}),
 libvirt-daemon (= ${binary:Version}),
 iptables (>= 1.4.10) [linux-any] | firewalld,
 logrotate,
 policykit-1,
Recommends:
 bridge-utils,
 dmidecode,
 dnsmasq-base (>= 2.46-1),
 ebtables [linux-any],
 iproute2,
 parted,
Section: admin
Suggests: radvd, auditd, systemtap, systemd, apparmor,
 nfs-common, zfsutils, pm-utils
Breaks: avahi-daemon (<< 0.6.31-3~),
 systemd-sysv (<< 224-1~)
Replaces: libvirt-bin (<< 1.3.3-2)
Conflicts: libvirt-bin (<< 1.3.3-2)
Description: Libvirt daemon configuration files
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the configuration files to run the libvirt daemon as a
 system service.

Package: libvirt0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lvm2 [linux-any]
Breaks: selinux-policy-default (<< 2:2.20131214-1~), selinux-policy-mls (<< 2:2.20131214-1~)
Description: library for interfacing with different virtualization systems
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.

Package: libvirt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: documentation for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the documentation.

Package: libvirt-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: ${misc:Depends}, libvirt0 (= ${binary:Version}), libxen-dev [i386 amd64 armhf arm64]
Replaces: libvirt-bin (<< 1.2.0~)
Recommends: pkg-config
Description: development files for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the header files and static libraries which are
 needed for developing the applications with libvirt.

Package: libvirt-sanlock
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 augeas-tools,
 libvirt0 (= ${binary:Version}),
Priority: optional
Description: Sanlock plugin for virtlockd
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the sanlock plugin for libvirt's locking daemon.

Package: libnss-libvirt
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt0 (= ${binary:Version}),
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Priority: optional
Description: nss plugin providing IP add ress resolution for virtual machines
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the nss plugin for IP address resolution of libvirt
 managed virtual machines.

Package: libvirt-wireshark
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Priority: optional
Description: Wireshark dissector for the libvirt protocol
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the wireshark dissector.
