## libvirt 4.3.0

=== debian/changelog ===
libvirt (4.3.0-1~bpo9+1.1) strech-backports; urgency=medium

  [ Thomas Goirand ]
  * stretch-backports Rebuilt for stretch.
  * Removed debian/libvirt-wireshark.install as it's making the package FTBFS.
    Maybe we don't care about it for OpenStack.

 -- Jenkins <jenkins@stretch-queens.infomaniak.ch>  Wed, 20 Jun 2018 10:20:14 +0200

libvirt (4.3.0-1) unstable; urgency=medium

  * [8730a15] New upstream version 4.3.0
  * [1272efc] Drop patches due to upstream code removal.
     Allow-xen-toolstack-to-find-it-s-binaries.patch
     debian/fix-Debian-specific-path-to-hvm-loader.patch
  * [20eb594] Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 May 2018 12:09:53 +0200

libvirt (4.2.0-3) unstable; urgency=medium

  * [78872cc] Ship logrotate snippets again (Closes: #895709)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 May 2018 07:54:29 +0200

libvirt (4.2.0-2) unstable; urgency=medium

  * [c859ce5] Prefer /sbin over /usr/sbin.
    If libvirt is built in a chroot with merged /usr it will otherwise break
    on non /usr merged systems. (Closes: #895145)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 08 Apr 2018 11:05:14 +0200

libvirt (4.2.0-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * [8d62a8c] Start admin sockets on installation (Closes: #893484)

  [ Guido Günther ]
  * [417534b] New upstream version 4.2.0 (Closes: #894985)
  * [9d7fa44] Bump symbol versions
  * [c23ed3d] Rediff patches.
    Applied upstream:
      lockd-fix-typo-in-virtlockd-admin.socket.patch
      CVE-2018-1064-qemu-avoid-denial-of-service-reading-from-Q.patch

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Apr 2018 12:33:30 +0200

libvirt (4.1.0-2) unstable; urgency=medium

  * [0b6cf2f] lockd: fix typo in virtlockd-admin.socket
    (Closes: #893330)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 Mar 2018 10:51:37 +0100

libvirt (4.1.0-1) unstable; urgency=medium

  * [3cbbfa5] New upstream version 4.1.0
  * [0e596b3] Bump symbol versions
  * [e886044] Drop patches applied upstream
    - apparmor-allow-libvirt-to-send-term-signal-to-unconfined.patch
    - virlog-determine-the-hostname-on-startup-CVE-2018-6764.patch
  * [097d74c] CVE-2018-1064: qemu: avoid denial of service reading from QEMU
    guest agent

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Mar 2018 08:25:29 +0100

libvirt (4.0.0-2) unstable; urgency=medium

  * [4339f02] CVE-2018-6764: virlog: determine the hostname on startup 
    Closes: #889839

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Feb 2018 19:29:59 +0100
