=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
 Build-Depends:
  debhelper (>= 9.20160709~),
@@ -34,17 +33,17 @@
  libnl-route-3-dev [linux-any],
  libyajl-dev,
  libpcap0.8-dev,
- libnuma-dev [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x],
- numad [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x],
+ libnuma-dev [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el],
+ numad [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el],
  radvd [linux-any],
  libnetcf-dev (>= 1:0.2.3-3~) [linux-any],
  libsanlock-dev [linux-any],
  libaudit-dev [linux-any],
-# libselinux1-dev (>= 2.0.82) [linux-any],
+ libselinux1-dev (>= 2.0.82) [linux-any],
  libapparmor-dev [linux-any],
  libdbus-1-dev [linux-any],
  nfs-common,
- systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc ppc64el s390 s390x],
+ systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc s390],
  python,
  xsltproc,
  zfsutils [kfreebsd-amd64 kfreebsd-i386],
@@ -58,11 +57,10 @@
  glusterfs-common (>= 3.4.0),
 # for --with-wireshark-dissector
  libwireshark-dev (>= 1.11.3),
- libwiretap-dev,
 # for lxc fuse support
  libfuse-dev [linux-any],
 # for libssh2 connection URIs
-# libssh2-1-dev,
+ libssh2-1-dev,
 # for qemu-bridge-helper
  qemu-system-common,
 # For "make check"
@@ -76,29 +74,11 @@
  iptables [linux-any],
  qemu-utils,
 Build-Conflicts: dpkg-dev (= 1.15.3)
-XS-Debian-Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libvirt.git
-XS-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/libvirt.git/
-Vcs-Git: git://git.launchpad.net/~libvirt-maintainers/ubuntu/+source/libvirt
-Vcs-Browser: https://git.launchpad.net/~libvirt-maintainers/ubuntu/+source/libvirt
+Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libvirt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/libvirt.git/
 Homepage: http://libvirt.org
 Standards-Version: 4.1.1
 
-Package: libvirt-bin
-Architecture: any
-Depends:
- ${misc:Depends},
- libvirt-daemon-system (>= ${binary:Version}),
- libvirt-clients (>= ${binary:Version}),
-Section: oldlibs
-Priority: extra
-Description: programs for the libvirt library
- Libvirt is a C toolkit to interact with the virtualization capabilities
- of recent versions of Linux (and other OSes). The library aims at providing
- a long term stable C API for different virtualization mechanisms. It currently
- supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
- .
- This is a transitional package. You can safely remove it.
-
 Package: libvirt-clients
 Architecture: any
 Depends:
@@ -106,8 +86,6 @@
  ${shlibs:Depends},
  libvirt0 (= ${binary:Version}),
 Section: admin
-Replaces: libvirt-bin (<< 1.3.3-2)
-Conflicts: libvirt-bin (<< 1.3.3-2)
 Suggests:
  libvirt-daemon,
 Description: Programs for the libvirt library
@@ -126,15 +104,13 @@
  libvirt0 (= ${binary:Version}),
 Enhances: qemu, qemu-kvm, xen
 Section: admin
-Replaces: libvirt-bin (<< 1.3.3-2)
-Conflicts: libvirt-bin (<< 1.3.3-2)
 Recommends:
  qemu-kvm | qemu (>= 0.9.1),
  libxml2-utils,
  netcat-openbsd,
- libvirt-daemon-driver-storage-rbd,
 Suggests:
  libvirt-daemon-driver-storage-gluster,
+ libvirt-daemon-driver-storage-rbd,
  libvirt-daemon-driver-storage-sheepdog,
  libvirt-daemon-driver-storage-zfs,
  libvirt-daemon-system,
@@ -217,8 +193,6 @@
 
 Package: libvirt-daemon-system
 Architecture: any
-# Needed to clean up old libvirt-bin cruft, can be removed post jessie
-Pre-Depends: init-system-helpers (>= 1.18~)
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -242,8 +216,6 @@
  nfs-common, zfsutils, pm-utils
 Breaks: avahi-daemon (<< 0.6.31-3~),
  systemd-sysv (<< 224-1~)
-Replaces: libvirt-bin (<< 1.3.3-2)
-Conflicts: libvirt-bin (<< 1.3.3-2)
 Description: Libvirt daemon configuration files
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -255,8 +227,6 @@
 
 Package: libvirt0
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: lvm2 [linux-any]
 Breaks: selinux-policy-default (<< 2:2.20131214-1~), selinux-policy-mls (<< 2:2.20131214-1~)
@@ -282,9 +252,7 @@
 Package: libvirt-dev
 Architecture: any
 Section: libdevel
-Multi-Arch: same
 Depends: ${misc:Depends}, libvirt0 (= ${binary:Version}), libxen-dev [i386 amd64 armhf arm64]
-Replaces: libvirt-bin (<< 1.2.0~)
 Recommends: pkg-config
 Description: development files for the libvirt library
  Libvirt is a C toolkit to interact with the virtualization capabilities
@@ -317,8 +285,6 @@
  ${misc:Depends},
  ${shlibs:Depends},
  libvirt0 (= ${binary:Version}),
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Priority: optional
 Description: nss plugin providing IP add ress resolution for virtual machines
  Libvirt is a C toolkit to interact with the virtualization capabilities
