=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
     WITH_VBOX         = --without-vbox
   endif
   ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64 armhf arm64))
+    MAKE_CHECK        = 1
     WITH_XEN          = --with-xen
     WITH_LIBXL        = --with-libxl
     XEN_ENABLED       = 1
@@ -20,7 +21,6 @@
     WITH_XEN          = --without-xen
     WITH_LIBXL        = --without-libxl
   endif
-  MAKE_CHECK        = 1
   WITH_STORAGE_LVM    = --with-storage-lvm
   WITH_STORAGE_ISCSI  = --with-storage-iscsi
   WITH_STORAGE_DISK   =	--with-storage-disk
@@ -37,17 +37,17 @@
   WITH_SANLOCK        = --with-sanlock
   WITH_INIT_SCRIPT    =	--with-init-script=systemd
   WITH_SYSTEMD        = --with-systemd-daemon
-  WITH_FIREWALLD      = --without-firewalld
+  WITH_FIREWALLD      = --with-firewalld
   WITH_AUDIT          = --with-audit
-  WITH_SELINUX        = --without-selinux
+  WITH_SELINUX        = --with-selinux --with-secdriver-selinux --with-selinux-mount=/sys/fs/selinux
   WITH_APPARMOR       = --with-apparmor --with-secdriver-apparmor --with-apparmor-profiles
   WITH_NSS_PLUGIN     = --with-nss-plugin
-  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 ia64 powerpc ppc64el s390 s390x))
+  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 ia64 powerpc s390))
       WITH_DTRACE     = --with-dtrace
   else
       WITH_DTRACE     = --without-dtrace
   endif
-  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 i386 ia64 mips mipsel powerpc ppc64el s390x))
+  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 i386 ia64 mips mipsel powerpc ppc64el))
       WITH_NUMA       = --with-numactl --with-numad
   else
       WITH_NUMA       = --without-numactl --without-numad
@@ -94,12 +94,12 @@
 	--disable-rpath          \
 	--with-qemu		 \
 	--with-qemu-user=libvirt-qemu  \
-	--with-qemu-group=kvm \
+	--with-qemu-group=libvirt-qemu \
 	$(WITH_OPENVZ)		 \
 	--with-avahi             \
 	--with-sasl              \
 	--with-yajl              \
-	--without-ssh2		 \
+	--with-ssh2		 \
 	--with-polkit		 \
 	$(WITH_UDEV)		 \
 	--with-storage-fs        \
@@ -138,18 +138,20 @@
 LIBVIRT_SYSTEM_SERVICES = \
 	libvirt-guests.service \
 	virtlogd.socket \
+	virtlogd-admin.socket \
 	virtlogd.service \
 	virtlockd.socket \
+	virtlockd-admin.socket \
 	virtlockd.service \
 	$(NULL)
 
 
 DEB_BUILDDIR := $(CURDIR)/debian/build
-LOGROTATE = $(basename $(basename $(notdir $(wildcard daemon/libvirtd*.logrotate.in))))
+LOGROTATE = $(basename $(basename $(notdir $(wildcard src/remote/libvirtd*.logrotate.in))))
 EXAMPLES_DIR = $(CURDIR)/debian/libvirt-doc/usr/share/doc/libvirt-doc/examples/
 
 %:
-	dh $@ --builddirectory=$(DEB_BUILDDIR) --parallel --with autoreconf
+	dh $@ --builddirectory=$(DEB_BUILDDIR) --parallel --with autoreconf --with systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS)
@@ -166,25 +168,6 @@
 	fi
 
 override_dh_install-arch:
-	mkdir -p debian/tmp/usr/share/apport/package-hooks
-	cp -f debian/libvirt-daemon.apport \
-	      debian/tmp/usr/share/apport/package-hooks/source_libvirt.py
-	# copy dnsmasq configuration
-	mkdir -p debian/tmp/etc/dnsmasq.d-available
-	cp debian/libvirt-daemon.dnsmasq \
-	   debian/tmp/etc/dnsmasq.d-available/libvirt-daemon
-	# Add profile script to automatically set default URI
-	mkdir -p debian/tmp/etc/profile.d
-	cp -f debian/libvirt-uri.sh debian/tmp/etc/profile.d/
-	# Multiarch:
-	# don't configure with --libdir, but move the files manually, because
-	# we don't want to change other places in /usr/lib/
-	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
-	mv debian/tmp/usr/lib/lib*a \
-	   debian/tmp/usr/lib/lib*.so* \
-	   debian/tmp/usr/lib/pkgconfig \
-	   debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
-
 	dh_install
 
 	# Copy upstream files to debian/ so dh_* can find them
@@ -214,8 +197,26 @@
 	dh_install -p libvirt-daemon-system etc/libvirt/qemu/networks/
 	dh_install -p libvirt-daemon-system etc/libvirt/nwfilter/
 	dh_install -p libvirt-clients etc/libvirt/virt-login-shell.conf
-	dh_install -p libnss-libvirt \
-                      usr/lib/$(DEB_HOST_MULTIARCH)/libnss_libvirt*.so.2 \
-                      lib/$(DEB_HOST_MULTIARCH)/
+	dh_install -p libnss-libvirt usr/lib/libnss_libvirt.so.2 lib/$(DEB_HOST_MULTIARCH)/
 endif
 ifeq ($(XEN_ENABLED), 1)
+	dh_install -p libvirt-daemon-system etc/libvirt/libxl.conf
+	dh_install -p libvirt-daemon-system etc/libvirt/libxl-lockd.conf
+endif
+
+	set -e; for l in $(LOGROTATE); do \
+		cp $(CURDIR)/debian/tmp/etc/logrotate.d/$$l \
+	        debian/libvirt-daemon-system.$$l.logrotate; \
+		dh_installlogrotate --name=$$l;     \
+	done
+
+	# Don't ship any la files
+	rm debian/libvirt-daemon/usr/lib/libvirt/connection-driver/*.la
+	# Don't ship any files that are managed by the user only
+	rm debian/libvirt-daemon-system/etc/apparmor.d/local/*
+	# Don't ship api files in the daemon package
+	rm -r debian/libvirt-daemon/usr/share/libvirt/api/
+
+
+override_dh_installinit:
+	dh_installinit -p libvirt-daemon-system --name=virtlogd --no-restart-on-upgrade
